calcite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stamatis Zampetakis <zabe...@gmail.com>
Subject Re: Elasticsearch Adapter. Dropping support for 2.x and 5.x versions.
Date Tue, 21 May 2019 22:46:19 GMT
+1

On Wed, May 22, 2019 at 12:44 AM Francis Chuang <francischuang@apache.org>
wrote:

> +1 As those versions are already EoLed and are no longer supported and
> will not receive any patches, it makes sense for us to stop supporting
> them as well.
>
> On 22/05/2019 8:36 am, Andrei Sereda wrote:
> > Hello,
> >
> > Following CALCITE-3023 Upgrade to Elasticsearch 7.0.0 [1] we'll be
> dropping
> > support for ES types (not to be confused with calcite types) in elastic
> > search [2].
> >
> > Are people OK with requiring at least 6.x for elastic search adapter ?
> >
> > According to official support schedule [3] 2.x, 5.x and 6.0.x are already
> > EoL.
> >
> > Regards,
> > Andrei.
> >
> > [1] https://issues.apache.org/jira/browse/CALCITE-3023
> > [2]
> >
> https://www.elastic.co/guide/en/elasticsearch/reference/7.0/removal-of-types.html
> > [3] https://www.elastic.co/support/eol
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message